- libbson 1.13.1 »
- API Reference »
- bson_context_t

# bson_context_new()

## Synopsis

    bson_context_t *
    bson_context_new (bson_context_flags_t flags);

## Parameters

- `flags`: A bson_context_flags_t.

## Description

Creates a new bson_context_t. This is rarely needed as bson_context_get_default() serves most use-cases.

## Returns

A newly allocated bson_context_t that should be freed with bson_context_destroy().

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.